/*
 Theme Name:   HMA Theme for GeneratePress
 Theme URI:    https://bridgewebsolutions.com
 Description:  Custom child theme for GeneratePress
 Author:       David Mitchell
 Author URI:   
 Template:     generatepress
 Version:      0.2
*/


/* Change underline thickness --
 * avoiding setting all the text-decoration styles so as not to add underlining to header/menu links
 */
a:not([class*=button]) {
	text-decoration-thickness: 0.0625rem;
	text-underline-offset: 0.12em;
}
a:hover:not([class*=button]) {
	text-decoration-thickness: 0.125rem;
}


/* Utilities */

.has-required:not(:has(.required)) {
	display: none;
}


/* Theme Overrides */
.one-container.right-sidebar #page {
	padding-inline: var(--space-m);
	padding-block: var(--space-m) var(--space-l);
    max-width: initial;
}
.one-container.right-sidebar .site-content {
	margin-inline: auto;
    padding: 0;
	max-width: var(--gb-container-width);
}
.one-container.right-sidebar .site-main, .one-container.both-right .site-main {
    margin-right: var(--space-xl);
}
.sidebar .inside-right-sidebar {
	display: flex;
	flex-direction: column;
	row-gap: var(--space-m);
}